astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Astropy Core Package Utilities (`astropy.utils`) »
- clear_download_cache

# clear_download_cache

`astropy.utils.data.``clear_download_cache`(hashorurl=None)

  Clears the data file cache by deleting the local file(s).

  Parameters:

  hashorurl : str or None

  > If None, the whole cache is cleared. Otherwise, either specifies a hash for the cached file that is supposed to be deleted, or a URL that has previously been downloaded to the cache.

  Raises:

  OSEerror :

  > If the requested filename is not present in the data directory.